Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453875 - RHEL5.2 OpenSSH section corrections
Summary: RHEL5.2 OpenSSH section corrections
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Deployment_Guide
Version: 5.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jaromir Hradilek
QA Contact: ecs-bugs
URL: http://www.redhat.com/docs/en-US/Red_...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 23:27 UTC by Michael Hideo
Modified: 2016-06-17 21:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-10 16:34:59 UTC


Attachments (Terms of Use)

Description Michael Hideo 2008-07-02 23:27:37 UTC
In
http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.2/html/Deployment_Guide/s2-redhat-config-users-passwd-aging.html

there are at least two errors:

1) The statement "This process will not work if the user logs in using
the SSH protocol." is incorrect. I have successfully tested this with
SSH.

2) The order of the steps 1-3 is wrong. I believe a simple chage -d 0
username will do the trick, but even running usermod -p "" updates the
chage results so that the password is not expired, so running step 3
negates step 2. I am also not sure why step 1 is necessary.

Thanks for your attention!

Andrew
-- Hydraulic Engineer, Water Resources Group UC Regional Office, Bureau of
Reclamation work: 801-524-3879 fax: 801-524-3847

Comment 4 Jaromir Hradilek 2010-05-28 09:55:35 UTC
Changed status to ON_QA.

What I've done is as follows:

  * Removed the SSH-related statement as suggested in the
    original bug report; there is no reason for SSH not to
    work in this case, and I have successfully checked that
    myself.
  * Removed redundant `usermod -L <username>' step.
  * Added reference to Shadow Passwords section.
  * Added `-l' to the list of useradd command line options.
  * Changed the order of steps as suggested in the bug report:
    the original order was not correct and could not work at
    all.
  * Rephrased some sentences where necessary.


Note You need to log in before you can comment on or make changes to this bug.